<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>EditorGeneralPage</class>
 <widget class="QWidget" name="EditorGeneralPage">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>550</width>
    <height>1130</height>
   </rect>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout_7">
   <item>
    <widget class="QLabel" name="headerLabel">
     <property name="text">
      <string>&lt;b&gt;Configure general editor settings&lt;/b&gt;</string>
     </property>
    </widget>
   </item>
   <item>
    <widget class="Line" name="line2">
     <property name="frameShape">
      <enum>QFrame::HLine</enum>
     </property>
     <property name="frameShadow">
      <enum>QFrame::Sunken</enum>
     </property>
     <property name="orientation">
      <enum>Qt::Horizontal</enum>
     </property>
    </widget>
   </item>
   <item>
    <widget class="QGroupBox" name="groupBox_5">
     <property name="title">
      <string>Tabs &amp;&amp; Indentation</string>
     </property>
     <layout class="QVBoxLayout" name="verticalLayout_4">
      <item>
       <layout class="QGridLayout" name="gridLayout_2">
        <item row="0" column="0">
         <widget class="QCheckBox" name="autoindentCheckBox">
          <property name="toolTip">
           <string>Select whether autoindentation shall be enabled</string>
          </property>
          <property name="text">
           <string>Auto indentation</string>
          </property>
         </widget>
        </item>
        <item row="0" column="1">
         <widget class="QCheckBox" name="tabforindentationCheckBox">
          <property name="toolTip">
           <string>Select whether tab characters are used for indentations.</string>
          </property>
          <property name="text">
           <string>Use tabs for indentations</string>
          </property>
         </widget>
        </item>
        <item row="1" column="0">
         <widget class="QCheckBox" name="tabindentsCheckBox">
          <property name="toolTip">
           <string>Select whether pressing the tab key indents.</string>
          </property>
          <property name="text">
           <string>Tab key indents</string>
          </property>
         </widget>
        </item>
        <item row="1" column="1">
         <widget class="QCheckBox" name="converttabsCheckBox">
          <property name="toolTip">
           <string>Select whether tabs shall be converted upon opening the file</string>
          </property>
          <property name="text">
           <string>Convert tabs upon open</string>
          </property>
         </widget>
        </item>
       </layout>
      </item>
      <item>
       <layout class="QGridLayout" name="gridLayout_4">
        <item row="0" column="0">
         <widget class="QLabel" name="TextLabel13_3">
          <property name="text">
           <string>Tab width:</string>
          </property>
          <property name="buddy">
           <cstring>tabwidthSlider</cstring>
          </property>
         </widget>
        </item>
        <item row="0" column="1">
         <widget class="QSlider" name="tabwidthSlider">
          <property name="toolTip">
           <string>Move to set the tab width.</string>
          </property>
          <property name="minimum">
           <number>1</number>
          </property>
          <property name="maximum">
           <number>20</number>
          </property>
          <property name="value">
           <number>4</number>
          </property>
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
          <property name="tickInterval">
           <number>1</number>
          </property>
         </widget>
        </item>
        <item row="0" column="2">
         <widget class="QLCDNumber" name="tabwidthLCD">
          <property name="toolTip">
           <string>Displays the selected tab width.</string>
          </property>
          <property name="digitCount">
           <number>2</number>
          </property>
          <property name="segmentStyle">
           <enum>QLCDNumber::Flat</enum>
          </property>
          <property name="value" stdset="0">
           <double>4.000000000000000</double>
          </property>
         </widget>
        </item>
        <item row="1" column="0">
         <widget class="QLabel" name="TextLabel13_2_3">
          <property name="text">
           <string>Indentation width:</string>
          </property>
          <property name="buddy">
           <cstring>indentwidthSlider</cstring>
          </property>
         </widget>
        </item>
        <item row="1" column="1">
         <widget class="QSlider" name="indentwidthSlider">
          <property name="toolTip">
           <string>Move to set the indentation width.</string>
          </property>
          <property name="minimum">
           <number>1</number>
          </property>
          <property name="maximum">
           <number>20</number>
          </property>
          <property name="value">
           <number>4</number>
          </property>
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
          <property name="tickInterval">
           <number>1</number>
          </property>
         </widget>
        </item>
        <item row="1" column="2">
         <widget class="QLCDNumber" name="indentwidthLCD">
          <property name="toolTip">
           <string>Displays the selected indentation width.</string>
          </property>
          <property name="digitCount">
           <number>2</number>
          </property>
          <property name="segmentStyle">
           <enum>QLCDNumber::Flat</enum>
          </property>
          <property name="value" stdset="0">
           <double>4.000000000000000</double>
          </property>
         </widget>
        </item>
       </layout>
      </item>
      <item>
       <layout class="QHBoxLayout" name="horizontalLayout_2">
        <item>
         <widget class="QTreeWidget" name="languageOverrideWidget">
          <property name="alternatingRowColors">
           <bool>true</bool>
          </property>
          <property name="selectionMode">
           <enum>QAbstractItemView::ExtendedSelection</enum>
          </property>
          <property name="rootIsDecorated">
           <bool>false</bool>
          </property>
          <property name="itemsExpandable">
           <bool>false</bool>
          </property>
          <column>
           <property name="text">
            <string>Language</string>
           </property>
          </column>
          <column>
           <property name="text">
            <string>Tab Width</string>
           </property>
          </column>
          <column>
           <property name="text">
            <string>Indent Width</string>
           </property>
          </column>
          <column>
           <property name="text">
            <string notr="true"/>
           </property>
          </column>
         </widget>
        </item>
        <item>
         <layout class="QVBoxLayout" name="verticalLayout_2">
          <item>
           <spacer name="verticalSpacer">
            <property name="orientation">
             <enum>Qt::Vertical</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>20</width>
              <height>40</height>
             </size>
            </property>
           </spacer>
          </item>
          <item>
           <widget class="QToolButton" name="addButton">
            <property name="toolTip">
             <string>Press to add a language specific override</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QToolButton" name="deleteButton">
            <property name="toolTip">
             <string>Press to delete the selected language specific override</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QToolButton" name="editButton">
            <property name="toolTip">
             <string>Press to edit the selected language specific override</string>
            </property>
           </widget>
          </item>
          <item>
           <spacer name="verticalSpacer_2">
            <property name="orientation">
             <enum>Qt::Vertical</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>20</width>
              <height>40</height>
             </size>
            </property>
           </spacer>
          </item>
         </layout>
        </item>
       </layout>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <widget class="QGroupBox" name="sourceNavigationGroupBox">
     <property name="toolTip">
      <string>Select to enable the source code navigator</string>
     </property>
     <property name="whatsThis">
      <string>&lt;b&gt;Source Code Navigation&lt;/b&gt;
&lt;p&gt;Select this option to enable one the two kind of source code navigation widgets. With &quot;Source Code Outline&quot; checked, a navigator is shown to the right of the editor. Otherwise two selector boxes are shown above the editor.&lt;/p&gt;</string>
     </property>
     <property name="title">
      <string>Source Code Navigation</string>
     </property>
     <property name="checkable">
      <bool>true</bool>
     </property>
     <layout class="QVBoxLayout" name="verticalLayout_6">
      <item>
       <widget class="QGroupBox" name="sourceOutlineGroupBox">
        <property name="toolTip">
         <string>Select to enable the source code outline view</string>
        </property>
        <property name="title">
         <string>Source Code Outline</string>
        </property>
        <property name="checkable">
         <bool>true</bool>
        </property>
        <layout class="QVBoxLayout" name="verticalLayout_3">
         <item>
          <layout class="QHBoxLayout" name="horizontalLayout_4">
           <item>
            <widget class="QLabel" name="label_2">
             <property name="text">
              <string>Default Width:</string>
             </property>
            </widget>
           </item>
           <item>
            <widget class="QSpinBox" name="sourceOutlineWidthSpinBox">
             <property name="toolTip">
              <string>Enter the default width of the source code outline view</string>
             </property>
             <property name="alignment">
              <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
             </property>
             <property name="minimum">
              <number>50</number>
             </property>
             <property name="maximum">
              <number>498</number>
             </property>
             <property name="singleStep">
              <number>50</number>
             </property>
            </widget>
           </item>
           <item>
            <spacer name="horizontalSpacer">
             <property name="orientation">
              <enum>Qt::Horizontal</enum>
             </property>
             <property name="sizeHint" stdset="0">
              <size>
               <width>345</width>
               <height>17</height>
              </size>
             </property>
            </spacer>
           </item>
          </layout>
         </item>
         <item>
          <widget class="QCheckBox" name="sourceOutlineSortByOccurrenceCheckBox">
           <property name="toolTip">
            <string>Select to sort file contents by occurrence</string>
           </property>
           <property name="text">
            <string>Sort contents by occurrence</string>
           </property>
          </widget>
         </item>
         <item>
          <widget class="QCheckBox" name="sourceOutlineShowCodingCheckBox">
           <property name="toolTip">
            <string>Select to show the source code encoding</string>
           </property>
           <property name="text">
            <string>Show source file encoding</string>
           </property>
          </widget>
         </item>
        </layout>
       </widget>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <widget class="QGroupBox" name="commentsGroupBox">
     <property name="title">
      <string>Comments</string>
     </property>
     <layout class="QGridLayout" name="gridLayout">
      <item row="0" column="0">
       <widget class="QCheckBox" name="comment0CheckBox">
        <property name="toolTip">
         <string>Select to insert the comment sign at column 0</string>
        </property>
        <property name="whatsThis">
         <string>&lt;b&gt;Insert comment at column 0&lt;/b&gt;&lt;p&gt;Select to insert the comment sign at column 0. Otherwise, the comment sign is inserted at the first non-whitespace position.&lt;/p&gt;</string>
        </property>
        <property name="text">
         <string>Insert comment at column 0</string>
        </property>
       </widget>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <widget class="QGroupBox" name="docstringGroupBox">
     <property name="title">
      <string>Docstring</string>
     </property>
     <layout class="QGridLayout" name="gridLayout_6">
      <item row="0" column="0">
       <widget class="QLabel" name="label_4">
        <property name="text">
         <string>Docstring Style:</string>
        </property>
       </widget>
      </item>
      <item row="0" column="1">
       <widget class="QComboBox" name="docstringStyleComboBox">
        <property name="sizePolicy">
         <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
          <horstretch>0</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
        <property name="toolTip">
         <string>Select the docstring style to be used</string>
        </property>
       </widget>
      </item>
      <item row="1" column="0" colspan="2">
       <widget class="QCheckBox" name="docstringCompletionCheckBox">
        <property name="toolTip">
         <string>Select this to generate a docstring when the docstring start sequence was entered (e.g. &quot;&quot;&quot; for Python).</string>
        </property>
        <property name="text">
         <string>Generate Docstring when Docstring start is entered</string>
        </property>
       </widget>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <widget class="QGroupBox" name="mouseHoverHelpGroupBox">
     <property name="toolTip">
      <string>Select to enable the support for mouse hover help text</string>
     </property>
     <property name="whatsThis">
      <string>&lt;b&gt;Mouse Hover Help&lt;/b&gt;&lt;p&gt;Enable this option to show some information about the symbol the mouse is hovering over. An information provider plug-in (e.g. Jedi) must be installed for this to work.&lt;/p&gt;</string>
     </property>
     <property name="title">
      <string>Mouse Hover Help</string>
     </property>
     <property name="checkable">
      <bool>true</bool>
     </property>
     <layout class="QHBoxLayout" name="horizontalLayout">
      <item>
       <widget class="QLabel" name="label_5">
        <property name="text">
         <string>Wait time:</string>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QSpinBox" name="mouseDwellTimeSpinBox">
        <property name="toolTip">
         <string>Enter the time to wait before help information is shown</string>
        </property>
        <property name="alignment">
         <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
        </property>
        <property name="suffix">
         <string> ms</string>
        </property>
        <property name="minimum">
         <number>100</number>
        </property>
        <property name="maximum">
         <number>1000</number>
        </property>
        <property name="singleStep">
         <number>50</number>
        </property>
        <property name="value">
         <number>500</number>
        </property>
       </widget>
      </item>
      <item>
       <spacer name="horizontalSpacer_2">
        <property name="orientation">
         <enum>Qt::Horizontal</enum>
        </property>
        <property name="sizeHint" stdset="0">
         <size>
          <width>347</width>
          <height>20</height>
         </size>
        </property>
       </spacer>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <widget class="QGroupBox" name="groupBox">
     <property name="title">
      <string>Rectangular Selection Modifier</string>
     </property>
     <layout class="QVBoxLayout" name="verticalLayout_5">
      <item>
       <widget class="QLabel" name="label_6">
        <property name="text">
         <string>Select the modifier key to indicate a rectangular selection while dragging the mouse.</string>
        </property>
        <property name="wordWrap">
         <bool>true</bool>
        </property>
       </widget>
      </item>
      <item>
       <layout class="QHBoxLayout" name="horizontalLayout_3">
        <item>
         <widget class="QRadioButton" name="rectangularSelectionCtrlButton">
          <property name="text">
           <string>Ctrl</string>
          </property>
         </widget>
        </item>
        <item>
         <widget class="QRadioButton" name="rectangularSelectionAltButton">
          <property name="text">
           <string>Alt</string>
          </property>
         </widget>
        </item>
        <item>
         <widget class="QRadioButton" name="rectangularSelectionMetaButton">
          <property name="text">
           <string>Meta / Windows / Option</string>
          </property>
         </widget>
        </item>
       </layout>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <widget class="QGroupBox" name="virtualSpaceGroupBox">
     <property name="title">
      <string>Virtual Space</string>
     </property>
     <layout class="QVBoxLayout" name="verticalLayout">
      <item>
       <widget class="QLabel" name="label">
        <property name="text">
         <string>Virtual space is the space after the last character of a line. It is not allocated unless some text is entered or copied into it. Usage of virtual space can be configured with these selections.</string>
        </property>
        <property name="wordWrap">
         <bool>true</bool>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QCheckBox" name="vsSelectionCheckBox">
        <property name="toolTip">
         <string>Select to enable a rectangular selection to extend into virtual space</string>
        </property>
        <property name="text">
         <string>Selection may access virtual space</string>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QCheckBox" name="vsUserCheckBox">
        <property name="toolTip">
         <string>Select to allow the cursor to be moved into virtual space</string>
        </property>
        <property name="text">
         <string>Cursor can move into virtual space</string>
        </property>
       </widget>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <spacer name="verticalSpacer_3">
     <property name="orientation">
      <enum>Qt::Vertical</enum>
     </property>
     <property name="sizeHint" stdset="0">
      <size>
       <width>20</width>
       <height>13</height>
      </size>
     </property>
    </spacer>
   </item>
  </layout>
 </widget>
 <tabstops>
  <tabstop>autoindentCheckBox</tabstop>
  <tabstop>tabforindentationCheckBox</tabstop>
  <tabstop>tabindentsCheckBox</tabstop>
  <tabstop>converttabsCheckBox</tabstop>
  <tabstop>tabwidthSlider</tabstop>
  <tabstop>indentwidthSlider</tabstop>
  <tabstop>languageOverrideWidget</tabstop>
  <tabstop>addButton</tabstop>
  <tabstop>deleteButton</tabstop>
  <tabstop>editButton</tabstop>
  <tabstop>sourceNavigationGroupBox</tabstop>
  <tabstop>sourceOutlineGroupBox</tabstop>
  <tabstop>sourceOutlineWidthSpinBox</tabstop>
  <tabstop>sourceOutlineSortByOccurrenceCheckBox</tabstop>
  <tabstop>sourceOutlineShowCodingCheckBox</tabstop>
  <tabstop>comment0CheckBox</tabstop>
  <tabstop>docstringStyleComboBox</tabstop>
  <tabstop>docstringCompletionCheckBox</tabstop>
  <tabstop>mouseHoverHelpGroupBox</tabstop>
  <tabstop>mouseDwellTimeSpinBox</tabstop>
  <tabstop>rectangularSelectionCtrlButton</tabstop>
  <tabstop>rectangularSelectionAltButton</tabstop>
  <tabstop>rectangularSelectionMetaButton</tabstop>
  <tabstop>vsSelectionCheckBox</tabstop>
  <tabstop>vsUserCheckBox</tabstop>
 </tabstops>
 <resources/>
 <connections>
  <connection>
   <sender>tabwidthSlider</sender>
   <signal>valueChanged(int)</signal>
   <receiver>tabwidthLCD</receiver>
   <slot>display(int)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>384</x>
     <y>81</y>
    </hint>
    <hint type="destinationlabel">
     <x>415</x>
     <y>82</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>indentwidthSlider</sender>
   <signal>valueChanged(int)</signal>
   <receiver>indentwidthLCD</receiver>
   <slot>display(int)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>384</x>
     <y>110</y>
    </hint>
    <hint type="destinationlabel">
     <x>410</x>
     <y>110</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
